import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
import '@design.estate/dees-catalog';
import '../elements/index.js';
declare global {
    interface HTMLElementTagNameMap {
        'sz-demo-app-shell': SzDemoAppShell;
    }
}
export declare class SzDemoAppShell extends DeesElement {
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    firstUpdated(): Promise<void>;
}
